<?php
/**
 * trendpress Theme Customizer.
 *
 * @package trendpress
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function trendpress_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
}
add_action( 'customize_register', 'trendpress_customize_register' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function trendpress_customize_preview_js() {
	wp_enqueue_script( 'trendpress_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20151215', true );
    /**
     * Customizer Font Live preview js
     */
    wp_enqueue_script( 'webfont', get_template_directory_uri() . '/js/webfont.js');
    /**
     * Customizer Live preview js
     */
    wp_enqueue_script('trendpress-live-preview',get_template_directory_uri().'/js/customizer-live-preview.js',array( 'jquery','customize-preview' ),true);
}
add_action( 'customize_preview_init', 'trendpress_customize_preview_js' );
